This module builds a python extension of SDFlibrary developed at University
 of Texas (www.ices.utexas.edu/ccv/software). 
This library generates the Signed Distance Function fields (on uniform grids).

This distribution contains source code of the library (see ./src/SDF-license.txt).
Distutils are used to wrap the library with SWIG (version 1.3.20 or higher)
and build the python extension (_utsdf.so).

To build and install the extension:

python2.4 setup.py install

This will:

- compile the source code and place the object files into
  ./build/temp.<platform_specifier>/src;
- generate a python shadow class module utsdf.py  in
  ./build/lib.<platform_specifier>/UTpackages/UTsdf
- build _utsdf.so in ./build/lib.<platform_specifier>/UTpackages/UTsdf;
- copy the UTsdf package from ./build/lib.<platform_specifier>UTpackages to
  sys.exec_prefix/lib/python2.4/site-packages/UTpackages;

The install command can be called with the following options:

 --install-platlib=INSTALL_DIR
	installs the package in specified INSTALL_DIR
 --no-compile
	do not compile .py to .pyc

Example:
   python2.4 setup.py install --install-platlib=/home/myname/myinstalldir

To build the extension only:
   python2.4 setup.py build

To build source distribution:
   python2.4 setup.py sdist

To build binary distribution:
   python2.4 setup.py bdist



